AMDMSR(4)

NAME
amdmsr - access MSRs on certain AMD Geode LX systems

SYNOPSIS
amdmsr0 at mainbus?

DESCRIPTION
The amdmsr device provides access to the Model Specific Registers (MSRs) on systems with an AMD Geode LX CPU and graphics processor.

  IOCTL INTERFACE
MSRs can be read or written via ioctl() calls performed on /dev/amdmsr. Declarations and data types are to be found in <machine/amdmsr.h>.

Read or write requests are performed using:

    struct amdmsr_req {
    	u_int32_t addr;	/* 32-bit MSR address */
    	u_int64_t val;	/* 64-bit MSR value */
    };

The RDMSR ioctl is used to read an MSR register.

The WRMSR ioctl is used to write an MSR register.

SEE ALSO
ioctl(2)

HISTORY
amdmsr support was added in OpenBSD 4.4.